'PRG05-DTM.prg
'Programa para EViews - Instrucciones de EViews para representar
'el grfico DT-Media de una serie. Este  programa debe  ejecutarse
'una vez est abierto el WF en el que est contenida dicha serie.
'Asignaturas: Econometra - Econometra Aplicada
'Ultima revisin: 23/07/2014
'IMPORTANTE: Requiere EViews 3.1 Build (32 bit): Jul 11 2001 o posterior

if @isobject("xx") then delete xx endif
if @isobject("sx") then delete sx endif

'[A] Igualar "xx" al nombre de la serie para la que se quiere el grfico DT-Media

genr xx = 

'[B] Igualar "sx" al nmero de observaciones de cada grupo

scalar sx = 

'[C] Clic en Run

if @isobject("ssample") then delete ssample endif
if @isobject("nx") then delete nx endif
if @isobject("media") then delete media endif
if @isobject("dt") then delete dt endif

sample ssample
scalar nx = @obs(xx)
genr media = 0
genr dt = 0
for !i=1 to nx
	if !i * sx > nx then exitloop endif
	%1 = @otod( !i * sx - sx + 1 )
	%2 = @otod( !i * sx  )
	smpl %1 %2
	media(!i) = @mean( xx )
	dt(!i) = @sqrt( @var( xx ) )
next
smpl @all if dt > 0

if @isobject("gdtmedia") then delete gdtmedia endif

graph gdtmedia.scat media dt

gdtmedia.scale(left) norm range(-2.5,2.5)
gdtmedia.scale(bottom) norm range(-2.5,2.5)
gdtmedia.setelem(1) symbol(8)
gdtmedia.setelem(1) lcolor(31,73,125)
gdtmedia.draw( line, left ) 0
gdtmedia.draw( line, bottom ) 0
gdtmedia.name(1) MEDIA
gdtmedia.name(2) DESVIACIN  TPICA

show gdtmedia

smpl ssample

delete xx sx ssample nx media dt